# Visualization
TKV2d
AIS2D

# AIS2D Class Reference

FOR APPLICATION INTERACTIVE SERVICES
This package provides the classes and methods
to the maintenance of the high level 2D visualization .
The central entity is Interactive Context for easily
piloting presentation and selection.
AIS2D package proposes the classes of standard Interactive Objects
and this one allows to implement users classes of interactive objects,
by respecting a certain rules of creating of Interactive Object.
.

`#include <AIS2D.hxx>`

## Public Member Functions

void * | operator new (size_t, void *anAddress)
void * | operator new (size_t size)
void | operator delete (void *anAddress)

## Static Public Member Functions

static Standard_EXPORT Standard_Boolean | Save (const Handle(AIS2D_InteractiveContext)&aCntx, const Standard_CString aFile)
static Standard_EXPORT Handle_AIS2D_InteractiveObject | Retrieve (const Handle(AIS2D_InteractiveContext)&aCntx, const Standard_CString aFile)

## Member Function Documentation

void AIS2D::operator delete | ( | void * | anAddress | ) | `[inline]`

void* AIS2D::operator new | ( | size_t | size | ) | `[inline]`

void* AIS2D::operator new | ( | size_t | ,
|  | void * | anAddress
| ) | `[inline]`

static Standard_EXPORT Handle_AIS2D_InteractiveObject AIS2D::Retrieve | ( | const Handle(AIS2D_InteractiveContext)& | aCntx,
|  | const Standard_CString | aFile
| ) | `[static]`

static Standard_EXPORT Standard_Boolean AIS2D::Save | ( | const Handle(AIS2D_InteractiveContext)& | aCntx,
|  | const Standard_CString | aFile
| ) | `[static]`

The documentation for this class was generated from the following file:

- AIS2D.hxx